{#
 # This file is part of the DATAtourisme project.
 # @author Conjecto <contact@conjecto.com>
 # 2022
 # SPDX-License-Identifier: GPL-3.0-or-later
 # For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 #}
<div class="box box-default">
    <div class="box-header with-border">
        <div class="btn-group btn-group-xs pull-right" role="tablist">
            <a href="#donut-wrapper" class="btn btn-default active" role="tab" data-toggle="tab">Répartition</a>
            <a href="#line-wrapper" class="btn btn-default" role="tab" data-toggle="tab">Evolution</a>
        </div>
        <h3 class="box-title">
            {% if published_poi is defined %}
                <strong>{{ published_poi | number_format }}</strong>
                POI publié{% if published_poi > 1 %}s{% endif %}
            {% endif %}
        </h3>
    </div>
    <!-- /.box-header -->
    <div class="box-body tab-content">
        {% if evolution is defined and evolution['published_graph'] | length %}
            <div class="tab-pane fade" id="line-wrapper">
                <div id="line" style="max-height: 250px;"
                        data-morris-line="{{ evolution['published_graph'] | json_encode }}"
                ></div>
            </div>
        {% endif %}
        {% if resources_by_poi is defined %}
            <div class="tab-pane fade in active" id="donut-wrapper">
                <div id="donut" style="max-height: 250px;"
                     data-morris-donut='[
                        {% for poi in resources_by_poi %}
                            { "label": "{{ poi.type }}", "value": {{ poi.nb_poi }} }{{ loop.last ? '' : ',' }}
                        {% endfor %}
                     ]'
                ></div>
                <div id="donut-legend" class="p-10 p-b-0"></div>
            </div>
        {% endif %}
    </div>
    <!-- /.box-footer -->
</div>


